GetTopFeeds
GET
/analytics/v1/top/feedsQuery Parameters
limit?limit
The limit query parameter.
Format
int32range.start?start
The range.start query parameter.
range.end?end
The range.end query parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/analytics.v1.TopFeedsResponse",
"$ref-value": {
"type": "object",
"properties": {
"feeds": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.FeedStats",
"$ref-value": {
"type": "object",
"properties": {
"feed_id": {
"type": "string",
"examples": [
"F4edRI23XL"
],
"title": "feed_id"
},
"total_views": {
"type": "string",
"examples": [
"1250"
],
"title": "total_views",
"format": "int64"
},
"unique_viewers": {
"type": "string",
"examples": [
"1250"
],
"title": "unique_viewers",
"format": "int64"
},
"total_posts": {
"type": "string",
"examples": [
"1250"
],
"title": "total_posts",
"format": "int64"
},
"avg_time_per_visit_ms": {
"type": "number",
"examples": [
"0.85"
],
"title": "avg_time_per_visit_ms",
"format": "double"
},
"total_watch_time_ms": {
"type": "number",
"examples": [
"0.85"
],
"title": "total_watch_time_ms",
"format": "double"
}
},
"title": "FeedStats",
"additionalProperties": false
}
},
"title": "feeds"
}
},
"title": "TopFeedsResponse",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/analytics/v1/top/feeds"Success
application/json
{
"$ref": "#/components/schemas/analytics.v1.TopFeedsResponse",
"$ref-value": {
"type": "object",
"properties": {
"feeds": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.FeedStats",
"$ref-value": {
"type": "object",
"properties": {
"feed_id": {
"type": "string",
"examples": [
"F4edRI23XL"
],
"title": "feed_id"
},
"total_views": {
"type": "string",
"examples": [
"1250"
],
"title": "total_views",
"format": "int64"
},
"unique_viewers": {
"type": "string",
"examples": [
"1250"
],
"title": "unique_viewers",
"format": "int64"
},
"total_posts": {
"type": "string",
"examples": [
"1250"
],
"title": "total_posts",
"format": "int64"
},
"avg_time_per_visit_ms": {
"type": "number",
"examples": [
"0.85"
],
"title": "avg_time_per_visit_ms",
"format": "double"
},
"total_watch_time_ms": {
"type": "number",
"examples": [
"0.85"
],
"title": "total_watch_time_ms",
"format": "double"
}
},
"title": "FeedStats",
"additionalProperties": false
}
},
"title": "feeds"
}
},
"title": "TopFeedsResponse",
"additionalProperties": false
}
}